Get Refund OTP

Get Refund OTP API is used to send a One-Time Password (OTP) for the purpose of verifying refund requests.

This API is used to safely refund cash to a customer when their transaction fails.

  1. When a transaction fails, an OTP is automatically sent to the customer.
  2. Request the OTP from the customer and pass it in this API call.
  3. This serves as consent, confirming that you have refunded the cash to the customer.
  4. After a successful API call, the eValue will be refunded to your account.

Every transaction response will contain a tx_status code with the following possible values:

tx_statustxstatus_desc
0Success
1Fail
2Initiated
3Refund Pending
4Refunded
5Hold (Transaction Inquiry Needed)

In case if any other value is returned in tx_status parameter then the transaction should be treated as initiated and transaction inquiry should be done until final status is received.

❗️

Transaction Timeout

A transaction can timeout due to multiple reasons, such as, bad internet connection or slow response from the partner bank. In such cases, transaction should not be treated as declined or failed. Ideally, it should be inquired using the Transaction Inquiry API by the passing your own reference number, i.e., client_ref_id.

Path Params
string
required

Transaction ID is generated while calling the Initiate Transaction API

Body Params
int32
required

Your registered mobile number (See Platform Credentials for UAT)

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json